TLM-2.0: tlm::tlm_put_get_imp< PUT_DATA, GET_DATA > Class Template Reference

# tlm::tlm_put_get_imp< PUT_DATA, GET_DATA > Class Template Reference

`#include <tlm_put_get_imp.h>`

Inheritance diagram for tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >:

[legend]
Collaboration diagram for tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >:

[legend]

List of all members.

## Public Member Functions
| tlm_put_get_imp (tlm_put_if< PUT_DATA > &p, tlm_get_peek_if< GET_DATA > &g)
void | put (const PUT_DATA &t)
bool | nb_put (const PUT_DATA &t)
bool | nb_can_put (tlm_tag< PUT_DATA > *t=0) const
const sc_core::sc_event & | ok_to_put (tlm_tag< PUT_DATA > *t=0) const
GET_DATA | get (tlm_tag< GET_DATA > *t=0)
bool | nb_get (GET_DATA &t)
bool | nb_can_get (tlm_tag< GET_DATA > *t=0) const
virtual const sc_core::sc_event & | ok_to_get (tlm_tag< GET_DATA > *t=0) const
GET_DATA | peek (tlm_tag< GET_DATA > *t=0) const
bool | nb_peek (GET_DATA &t) const
bool | nb_can_peek (tlm_tag< GET_DATA > *t=0) const
virtual const sc_core::sc_event & | ok_to_peek (tlm_tag< GET_DATA > *t=0) const

## Detailed Description

### template<typename PUT_DATA, typename GET_DATA>
class tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >

Definition at line 30 of file tlm_put_get_imp.h.

## Constructor & Destructor Documentation

template<typename PUT_DATA, typename GET_DATA>

tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::tlm_put_get_imp | ( | tlm_put_if< PUT_DATA > & | p,
|  | tlm_get_peek_if< GET_DATA > & | g |
| ) |  |  | `[inline]`

Definition at line 35 of file tlm_put_get_imp.h.

## Member Function Documentation

template<typename PUT_DATA, typename GET_DATA>

GET_DATA tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::get | ( | tlm_tag< GET_DATA > * | t = `0` | ) | `[inline, virtual]`

Implements tlm::tlm_blocking_get_if< GET_DATA >.

Definition at line 53 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_can_get | ( | tlm_tag< GET_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_get_if< GET_DATA >.

Definition at line 57 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_can_peek | ( | tlm_tag< GET_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_peek_if< GET_DATA >.

Definition at line 71 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_can_put | ( | tlm_tag< PUT_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_put_if< PUT_DATA >.

Definition at line 44 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_get | ( | GET_DATA & | t | ) | `[inline, virtual]`

Implements tlm::tlm_nonblocking_get_if< GET_DATA >.

Definition at line 55 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_peek | ( | GET_DATA & | t | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_peek_if< GET_DATA >.

Definition at line 69 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

bool tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::nb_put | ( | const PUT_DATA & | t | ) | `[inline, virtual]`

Implements tlm::tlm_nonblocking_put_if< PUT_DATA >.

Definition at line 43 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

virtual const sc_core::sc_event& tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::ok_to_get | ( | tlm_tag< GET_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_get_if< GET_DATA >.

Definition at line 61 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

virtual const sc_core::sc_event& tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::ok_to_peek | ( | tlm_tag< GET_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_peek_if< GET_DATA >.

Definition at line 75 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

const sc_core::sc_event& tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::ok_to_put | ( | tlm_tag< PUT_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_nonblocking_put_if< PUT_DATA >.

Definition at line 47 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

GET_DATA tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::peek | ( | tlm_tag< GET_DATA > * | t = `0` | ) | const`[inline, virtual]`

Implements tlm::tlm_blocking_peek_if< GET_DATA >.

Definition at line 67 of file tlm_put_get_imp.h.

template<typename PUT_DATA, typename GET_DATA>

void tlm::tlm_put_get_imp< PUT_DATA, GET_DATA >::put | ( | const PUT_DATA & | t | ) | `[inline, virtual]`

Implements tlm::tlm_blocking_put_if< PUT_DATA >.

Definition at line 41 of file tlm_put_get_imp.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_1/tlm_req_rsp/tlm_channels/tlm_req_rsp_channels/tlm_put_get_imp.h